Updating all availability zones

Updating all availability zones
Updating all availability zones

Use of this endpoint is not recommended. Please use create, update, or delete.

If you are using the multi-datacenter feature on vSphere, this endpoint is not available. On all other IaaS, the iaas_configuration_guid property of availability zones will be ignored and automatically set to the default configuration.

This endpoint allows you to completely replace the collection of availability zones. OpsManager uses GUIDs to match existing objects in the collection. Unmatched availability zones will be added, matched availability zones will be updated, and omitted availability zones will be deleted.

There are different fields for availability zones per IaaS. Look at the examples to see the valid fields for each IaaS. Availability zones cannot be updated or replaced on Azure.

Availability zones that are already on a deployed product cannot be updated or deleted.

Request
URI
PUT
https://{opsmanager-installation}/api/v0/staged/director/availability_zones
COPY
Request Body
PutAvailabilityZoneExperimental of type(s) application/json
Required

Show optional properties

{
    "availability_zones": [
        {
            "name": "string"
        }
    ]
}
{
    "availability_zones": [
        {
            "guid": "string",
            "name": "string",
            "iaas_identifier": "string",
            "iaas_configuration_guid": "string",
            "cluster": "string",
            "resource_pool": "string",
            "host_group": "string",
            "clusters": [
                {
                    "guid": "string",
                    "cluster": "string",
                    "resource_pool": "string",
                    "host_group": "string",
                    "drs_rule": "string"
                }
            ]
        }
    ]
}
array of availability_zones
availability_zones
Required

availability_zones

Responses
200

OK

Returns EmptyResponse of type(s) application/json
Operation doesn't return any data structure

207

Multi-Status. The action succeeded and data was persisted, but errors were returned from verifiers. The configuration may not work when deployed.

Returns AvailabilityZoneVerifierErrors of type(s) application/json
This response body class contains all of the following: VerifierErrors , InlineAvailabilityZoneVerifierErrors1
{
    "verifier_errors": [
        "string"
    ],
    "verifications": {
        "warnings": {
            "warnings": [
                "string"
            ]
        }
    }
}

400

Setup is not completed

Returns RequireSetupCompleted of type(s) application/json
{
    "errors": {
        "errors": [
            "string"
        ]
    }
}
object
errors
Optional

errors


401

Unauthorized

Returns UnauthorizedResponse of type(s) application/json
{
    "errors": {
        "errors": [
            "string"
        ]
    }
}
object
errors
Optional

errors


403

Forbidden

Returns ForbiddenResponse of type(s) application/json
{
    "errors": {
        "errors": [
            "string"
        ]
    }
}
object
errors
Optional

errors


405

Modifying availability zones is not supported for this IaaS

Returns ModifyingAvailabilityZonesNotSupported of type(s) application/json
{
    "errors": [
        "string"
    ]
}
array of string
errors
Required

errors


422

Unprocessable Content

{
    "errors": [
        "string"
    ]
}

Code Samples
COPY
                    curl -X PUT -H 'Authorization: <value>' -H 'Content-Type: application/json' -d '{"availability_zones":["string,null"]}' https://{api_host}/api/v0/staged/director/availability_zones